Bug 184036 - pm-hibernate swsusp sleeping function called from invalid context
pm-hibernate swsusp sleeping function called from invalid context
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 03:15 EST by cam
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-05 13:25:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cam 2006-03-05 03:15:35 EST
Description of problem:

pm-hibernate succeeds with error messages:

swsusp: Restoring Highmem
Debug: sleeping function called from invalid context at mm/slab.c:2700
in_atomic():0, irqs_disabled():1
 [<c01e10b9>] acpi_os_acquire_object+0xb/0x3c     [<c0151db8>]
kmem_cache_alloc+0x20/0x7c
 [<c01e10b9>] acpi_os_acquire_object+0xb/0x3c     [<c01f627d>]
acpi_ut_allocate_object_desc_dbg+0x10/0x3e
 [<c01f62be>] acpi_ut_create_internal_object_dbg+0x13/0x68     [<c01f25d1>]
acpi_rs_set_srs_method_data+0x3d/0xb7
 [<c0150da9>] cache_alloc_debugcheck_after+0xb8/0xea     [<c01f9912>]
acpi_pci_link_set+0x3b/0x169
 [<c01f99c7>] acpi_pci_link_set+0xf0/0x169     [<c01f9a74>]
irqrouter_resume+0x34/0x52
 [<c0226473>] __sysdev_resume+0x11/0x53     [<c02265b3>] sysdev_resume+0x16/0x47
[<c022a562>] device_power_up+0x5/0xa     [<c0133679>] swsusp_suspend+0x6b/0x85
 [<c01345d2>] pm_suspend_disk+0x4e/0xf8     [<c0132a88>] enter_state+0x50/0x1ba
 [<c0132c7a>] state_store+0x88/0x94     [<c0132bf2>] state_store+0x0/0x94
 [<c0187d9e>] subsys_attr_store+0x1e/0x22     [<c0187ead>]
sysfs_write_file+0xa9/0xd2
 [<c0187e04>] sysfs_write_file+0x0/0xd2     [<c0154863>] vfs_write+0xa1/0x140
 [<c0154d6b>] sys_write+0x3c/0x63     [<c0102bc1>] syscall_call+0x7/0xb
PM: Image restored successfully.
ACPI: PCI Interrupt 0000:00:01.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:01.0 to 64
ACPI: PCI Interrupt 0000:00:1d.0[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.0 to 64
usb usb1: root hub lost power or was reset
ACPI: PCI Interrupt 0000:00:1d.1[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1d.1 to 64
usb usb2: root hub lost power or was reset
ACPI: PCI Interrupt 0000:00:1d.2[C] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
PCI: Setting latency timer of device 0000:00:1d.2 to 64
usb usb3: root hub lost power or was reset
ACPI: PCI Interrupt 0000:00:1d.3[D] -> Link [LNKD] -> GSI 7 (level, low) -> IRQ 7
PCI: Setting latency timer of device 0000:00:1d.3 to 64
usb usb4: root hub lost power or was reset
ACPI: PCI Interrupt 0000:00:1d.7[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1d.7 to 64
usb usb5: root hub lost power or was reset
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
PCI: Setting latency timer of device 0000:00:1e.0 to 64
ACPI: PCI Interrupt 0000:00:1e.2[A] -> Link [LNKA] -> GSI 11 (level, low) -> IRQ 11
PCI: Setting latency timer of device 0000:00:1e.2 to 64
ACPI: PCI Interrupt 0000:00:1e.3[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1e.3 to 64
ACPI: PCI Interrupt 0000:00:1f.2[B] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ACPI: PCI Interrupt 0000:03:00.0[A] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
ACPI: PCI Interrupt 0000:03:01.0[A] -> Link [LNKD] -> GSI 7 (level, low) -> IRQ 7
ACPI: PCI Interrupt 0000:03:01.1[B] -> Link [LNKC] -> GSI 9 (level, low) -> IRQ 9
eth1: Coming out of suspend...
ACPI: PCI Interrupt 0000:03:03.0[A] -> Link [LNKB] -> GSI 5 (level, low) -> IRQ 5
pnp: Device 00:04 does not supported activation.
pnp: Device 00:05 does not supported activation.
ata1: dev 0 configured for UDMA/100
Restarting tasks...<6>usb 2-1: USB disconnect, address 6
 done
usb 2-1: new full speed USB device using uhci_hcd and address 7
usb 2-1: configuration #1 chosen from 1 choice
ACPI: Lid Switch [LID]
ACPI: Power Button (CM) [PBTN]
ACPI: Sleep Button (CM) [SBTN]



Version-Release number of selected component (if applicable):

kernel-2.6.15-1.1996_FC5
pm-utils-0.11-1

How reproducible:
Every time

Steps to Reproduce:
1. logged in as user, pm-hibernate
2. wait for shutdown
3. restart and wait for restore
  
Actual results:
Error message is produced 

Expected results:
'clean' resume with no error message

Additional info:

pm-suspend currently does not work on this hardware (Dell Inspiron 6000 with ATI
x300 graphics).

Output of lspci:
00:00.0 Host bridge: Intel Corporation Mobile 915GM/PM/GMS/910GML Express
Processor to DRAM Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 915GM/PM Express PCI Express Root
Port (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #3 (rev 03)
00:1d.3 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB UHCI #4 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family)
USB2 EHCI Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev d3)
00:1e.2 Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW
(ICH6 Family) AC'97 Audio Controller (rev 03)
00:1e.3 Modem: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Modem
Controller (rev 03)
00:1f.0 ISA bridge: Intel Corporation 82801FBM (ICH6M) LPC Interface Bridge (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Radeon Mobility M300]
03:00.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev
02)03:01.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b3)
03:01.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 08)
03:01.2 Class 0805: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 17)
03:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG (rev 05)
Comment 1 Dave Jones 2006-03-05 03:41:34 EST
Can you retest with the kernel from
http://people.redhat.com/davej/kernels/Fedora/devel ?
This has a patch from -mm which may fix this.
Comment 2 cam 2006-03-05 05:34:03 EST
using 2.6.15-1.2014_FC5,

the error messsages are gone, pm-hibernate works well.

An additional bonus - pm-suspend now works as well, and it's very fast,

An excellent kernel :) Thanks,
Comment 3 Dave Jones 2006-03-05 13:25:57 EST
it's still far from perfect, but getting there..
there's still a ton of debugging cruft turned on too.

Note You need to log in before you can comment on or make changes to this bug.